# Generated by Django 2.1.3 on 2019-08-09 00:24

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('utp', '0020_auto_20190807_0051'),
    ]

    operations = [
        migrations.AddField(
            model_name='historicalprofileutp',
            name='radius',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Radius'),
        ),
        migrations.AddField(
            model_name='profileutp',
            name='radius',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='utp.Radius'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='historicalprofileutp',
            name='download_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(1000)]),
        ),
        migrations.AlterField(
            model_name='historicalprofileutp',
            name='limitation_name',
            field=models.CharField(max_length=50),
        ),
        migrations.AlterField(
            model_name='historicalprofileutp',
            name='name',
            field=models.CharField(max_length=50),
        ),
        migrations.AlterField(
            model_name='historicalprofileutp',
            name='upload_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(1000)]),
        ),
        migrations.AlterField(
            model_name='profileutp',
            name='download_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(1000)]),
        ),
        migrations.AlterField(
            model_name='profileutp',
            name='limitation_name',
            field=models.CharField(max_length=50),
        ),
        migrations.AlterField(
            model_name='profileutp',
            name='name',
            field=models.CharField(max_length=50),
        ),
        migrations.AlterField(
            model_name='profileutp',
            name='upload_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(1000)]),
        ),
    ]
